Bug 503927 - header-fix.patch is not correct
header-fix.patch is not correct
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libcap (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2009-06-03 08:07 EDT by Dan Horák
Modified: 2009-07-11 13:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.16-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 11:34:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2009-06-03 08:07:29 EDT
libcap with header-fix.patch applied breaks building of applications that are using libcap or the detection of libcap presence, an example is cdrkit in both primary and s390x architectures.

https://koji.fedoraproject.org/koji/taskinfo?taskID=1389393

https://s390.koji.fedoraproject.org/koji/taskinfo?taskID=73154

The check fails with:

...
Building C object CMakeFiles/cmTryCompileExec.dir/CheckIncludeFiles.c.o
/usr/bin/gcc   -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -march=z9-109 -mtune=z10 -Wall -Werror -Wno-unused-function -Wno-unused-variable -fno-strict-aliasing      -o CMakeFiles/cmTryCompileExec.dir/CheckIncludeFiles.c.o   -c /builddir/build/BUILD/cdrkit-1.1.9/fedora/CMakeFiles/CMakeTmp/CheckIncludeFiles.c
In file included from /usr/include/sys/capability.h:23,
                 from /builddir/build/BUILD/cdrkit-1.1.9/fedora/CMakeFiles/CMakeTmp/CheckIncludeFiles.c:2:
/usr/include/stdint.h:41: error: conflicting types for 'int64_t'
/usr/include/linux/types.h:98: note: previous declaration of 'int64_t' was here
/usr/include/stdint.h:56: error: conflicting types for 'uint64_t'
/usr/include/linux/types.h:96: note: previous declaration of 'uint64_t' was here
gmake[1]: *** [CMakeFiles/cmTryCompileExec.dir/CheckIncludeFiles.c.o] Error 1
gmake[1]: Leaving directory `/builddir/build/BUILD/cdrkit-1.1.9/fedora/CMakeFiles/CMakeTmp'
gmake: *** [cmTryCompileExec/fast] Error 2

Source:
/* */
#include <sys/capability.h>


int main(){return 0;}

After replacing <linux/types.h> back with <sys/types.h> in /usr/include/sys/capability.h this check is successful.
Comment 1 Karsten Hopp 2009-06-09 11:34:28 EDT
I've dropped the patch again.
Comment 2 Bug Zapper 2009-06-09 13:02:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Roman Rakus 2009-06-15 08:01:31 EDT
Will this be build in koji soon?
Comment 4 Fedora Update System 2009-06-15 09:06:18 EDT
libcap-2.16-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libcap-2.16-4.fc11
Comment 5 Fedora Update System 2009-07-11 13:17:12 EDT
libcap-2.16-4.fc11, libcap-2.16-4.fc11.1 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.